QGIS Application - Feature request #2727
Legend item labels broken in composer
Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 12787
Description

| used to be able to edit a legend item, removing the label from the item, then adding a label to the sub-item under the arrow widget. This
would place the label next to the symbol rather than above it, allowing you to nicely compact the legend and make it look neater.

Now, this is not working. Instead, the legend item is blank if you place the label in the sub-item.

Request: it would also be nice to have a means to quickly swap the label from the main item to the sub-item to avoid a lot of copying and
pasting work. Perhaps there can be a preference to set a default behavior?

History

#1 - 2010-05-18 07:31 AM - Marco Hugentobler

Bug is fixed in commit:bd89a910 (SVN r13526)

Swap label from main item: possible would be to automatically set the layer name to all child items without text (but only if the text of the layer item is

empty)

#2 - 2010-05-18 08:00 AM - John Tull

I think that is a good idea for implementation. Thanks for getting the bug. | know | should have filed two on this, but was a little hurried.

Would this reside in the legend items tab as a button or could this work as a general preference?

#3 - 2011-03-05 11:04 AM - John Tull

Marco: Your idea is good. Would it be possible to implement the idea of automatically placing the label in the child item for composer legends? This would
be a big improvement IMO.

#4 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2011-12-16 03:04 PM - John Tull

- Pull Request or Patch supplied set to No
- Status changed from Open to Closed

| tested on trunk, 1.990 alpha code rev 42e02d8, and it works. | do not know about 1.7.4, but | am going to go ahead and close this.
